//*****************************************************************************
//*****************************************************************************
//  FILENAME: DelSig_1.h
//   Version: 1.1, Updated on 2006/06/12 at 14:52:34
//
//  DESCRIPTION:  C declarations for the DelSig User Module with a 1st-order
//                modulator based on a type-2 dcecimator
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2004. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#include <m8c.h>

#pragma fastcall16 DelSig_1_Start
#pragma fastcall16 DelSig_1_SetPower
#pragma fastcall16 DelSig_1_StartAD
#pragma fastcall16 DelSig_1_StopAD
#pragma fastcall16 DelSig_1_Stop
#pragma fastcall16 DelSig_1_fIsDataAvailable
#pragma fastcall16 DelSig_1_cGetData
#pragma fastcall16 DelSig_1_bGetData
#pragma fastcall16 DelSig_1_cGetDataClearFlag
#pragma fastcall16 DelSig_1_bGetDataClearFlag
#pragma fastcall16 DelSig_1_ClearFlag
#pragma fastcall16 DelSig_1_WritePulseWidth

//-------------------------------------------------
// Prototypes of the DelSig_1 API.
//-------------------------------------------------
extern void DelSig_1_Start(BYTE bPower);
extern void DelSig_1_SetPower(BYTE bPower);
extern void DelSig_1_StartAD(void);
extern void DelSig_1_StopAD(void);
extern void DelSig_1_Stop(void);
extern BOOL DelSig_1_fIsDataAvailable(void);
extern CHAR DelSig_1_cGetData(void);
extern BYTE DelSig_1_bGetData(void);
extern CHAR DelSig_1_cGetDataClearFlag(void);
extern BYTE DelSig_1_bGetDataClearFlag(void);
extern void DelSig_1_ClearFlag(void);
extern void DelSig_1_WritePulseWidth(BYTE wPulseWidthValue);

//-------------------------------------------------
// Defines for DelSig_1 API's.
//-------------------------------------------------
#define DelSig_1_OFF                       (0)
#define DelSig_1_LOWPOWER                  (1)
#define DelSig_1_MEDPOWER                  (2)
#define DelSig_1_HIGHPOWER                 (3)

#define DelSig_1_DATA_READY_BIT            (0x10)
#define DelSig_1_2S_COMPLEMENT             (1)

//-------------------------------------------------
// Hardware Register Definitions
//-------------------------------------------------
#pragma ioport  DelSig_1_PWM_DR0:   0x02c               //Time base PWM_ register
BYTE            DelSig_1_PWM_DR0;
#pragma ioport  DelSig_1_PWM_DR1:   0x02d               //Time base Period value register
BYTE            DelSig_1_PWM_DR1;
#pragma ioport  DelSig_1_PWM_DR2:   0x02e               //Time base CompareValue register
BYTE            DelSig_1_PWM_DR2;
#pragma ioport  DelSig_1_PWM_CR0:   0x02f               //Time base Control register
BYTE            DelSig_1_PWM_CR0;
#pragma ioport  DelSig_1_PWM_FN:    0x12c                //Time base Function register
BYTE            DelSig_1_PWM_FN;
#pragma ioport  DelSig_1_PWM_SL:    0x12d                //Time base Input register
BYTE            DelSig_1_PWM_SL;
#pragma ioport  DelSig_1_PWM_OS:    0x12e                //Time base Output register
BYTE            DelSig_1_PWM_OS;

#pragma ioport  DelSig_1_AtoDcr0:   0x080               //Analog control register 0
BYTE            DelSig_1_AtoDcr0;
#pragma ioport  DelSig_1_AtoDcr1:   0x081               //Analog control register 1
BYTE            DelSig_1_AtoDcr1;
#pragma ioport  DelSig_1_AtoDcr2:   0x082               //Analog control register 2
BYTE            DelSig_1_AtoDcr2;
#pragma ioport  DelSig_1_AtoDcr3:   0x083               //Analog control register 3
BYTE            DelSig_1_AtoDcr3;


// end of file DelSig_1.h
